
%define glibmm_version 2.27.93
%define pangomm_version 2.27.1
%define gtk_version 3.0.0

%define pkgname	gtkmm
%define api_version 3.0
%define major 1
%define libname_orig %mklibname %{pkgname} %{api_version}
%define libname %mklibname %{pkgname} %{api_version} %{major}
%define libnamedev %mklibname -d %{pkgname} %{api_version}
%define libnamestaticdev %mklibname -d -s %{pkgname} %{api_version}

Name:		%{pkgname}%{api_version}
Summary:	C++ interface for popular GUI library gtk+
Version:	3.24.5
Release:	%mkrel 1
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
BuildRequires:	gtk+3-devel >= %{gtk_version}
BuildRequires:	glibmm2.4-devel >= %{glibmm_version}
BuildRequires:	atkmm1.6-devel >= 2.22.2
BuildRequires:	cairomm-devel  >= 1.9.2
BuildRequires:	pangomm2.4-devel >= %pangomm_version
BuildRequires:	libpthread-stubs
BuildRequires:	wayland-protocols-devel
BuildRequires:	graphviz
BuildRequires:	doxygen
BuildRequires:	lib64xtst-devel
Obsoletes: 	%{name} < %version


%description
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package	-n %{libname}
Summary:	C++ interface for popular GUI library gtk+
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description	-n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.


%package	-n %{libnamedev}
Summary:	Headers and development files of %{pkgname}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Requires:	glibmm2.4-devel >= %{glibmm_version}
Obsoletes: %mklibname -d %{pkgname} %{api_version} %{major}
Obsoletes: %{libnamestaticdev}

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.


%package	doc
Summary:	GTKmm documentation
Group:		Documentation

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for gtkmm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%meson \
  -Dbuild-documentation=true \
  -Dbuild-x11-api=true \
  -Dbuild-atkmm-api=true \
  -Dbuild-demos=false \
  -Dbuild-tests=false
%meson_build

%install
%meson_install

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgdkmm-%{api_version}.so.%{major}*
%{_libdir}/libgtkmm-%{api_version}.so.%{major}*


%files -n %{libnamedev}
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/gtkmm-%{api_version}
%{_libdir}/gdkmm-%{api_version}
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%doc %{_datadir}/doc/gtkmm-%{api_version}
%doc %{_datadir}/devhelp/books/*


%changelog
* Sun May 23 2021 tex - 3.24.5-1pclos2021
- new version

* Mon Mar 01 2021 tex - 3.24.4-1pclos2021
- new version

* Mon Dec 14 2020 tex - 3.24.3-1pclos2020
- new version

* Sun Oct 27 2019 tex - 3.24.2-1pclos2019
- new version

* Thu May 30 2019 tex - 3.24.1-1pclos2019
- new version

* Mon Sep 18 2017 bb2 <bb2> - 3.22.2-1pclos2017
- new version

* Tue Sep 12 2017 bb2 <bb2> - 3.22.1-3pclos2017
- rebuild against updates

* Mon Sep 11 2017 bb2 <bb2> - 3.22.1-2pclos2017
- rebuild against updates

* Wed Jul 19 2017 bb2 <bb2> - 3.22.1-1pclos2017
- new version

* Mon Jun 17 2013 Texstar <texstar at gmail.com> 3.4.2-1pclos2013
- 3.4.2

* Sun Oct 02 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0

* Thu Sep 22 2011 Texstar <texstar at gmail.com> 3.1.90.1-1pclos2011
- 3.1.90

* Mon Sep 12 2011 Texstar <texstar at gmail.com> 3.1.18-1pclos2011
- 3.1.18

* Thu Apr 07 2011 Texstar <texstar at gmail.com> 3.0.0-1pclos2011
- import into pclos base on specfile from mdv

